com.mapinfo.midev.style

## Class ILineRendition.LineCap

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.style.ILineRendition.LineCap

All Implemented Interfaces:
  Serializable, Comparable

Enclosing interface:
  ILineRendition

    public static final class ILineRendition.LineCap
    extends Enum

Controls how the ends of the line are to be finished.

See Also:
  Serialized Form

### Field Summary

Fields
`static ILineRendition.LineCap` `BUTT` Ends unclosed subpaths and dash segments with no added decoration.
`static ILineRendition.LineCap` `ROUND` Ends unclosed subpaths and dash segments with a round decoration that has a radius equal to half of the width of the pen.
`static ILineRendition.LineCap` `SQUARE` Ends unclosed subpaths and dash segments with a square projection that extends beyond the end of the segment to a distance equal to half of the line width.

### Method Summary

All Methods Static Methods Concrete Methods
`static ILineRendition.LineCap` `valueOf(String name)`
`static ILineRendition.LineCap[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BUTT

    public static final ILineRendition.LineCap BUTT

Ends unclosed subpaths and dash segments with no added decoration.

#### ROUND

    public static final ILineRendition.LineCap ROUND

Ends unclosed subpaths and dash segments with a round decoration that has a radius equal to half of the width of the pen.

#### SQUARE

    public static final ILineRendition.LineCap SQUARE

Ends unclosed subpaths and dash segments with a square projection that extends beyond the end of the segment to a distance equal to half of the line width.

### Method Detail

#### values

    public static ILineRendition.LineCap[] values()

#### valueOf

    public static ILineRendition.LineCap valueOf(String name)